SuggestWordQueue (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.spell.SuggestWordQueue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spell
Class SuggestWordQueue

    java.lang.Object
      org.apache.lucene.util.PriorityQueue<SuggestWord>
          org.apache.lucene.search.spell.SuggestWordQueue

    public final class SuggestWordQueue

extends PriorityQueue<SuggestWord>

Sorts SuggestWord instances

See Also:
  `SuggestWordScoreComparator`, `SuggestWordFrequencyComparator`

Field Summary
`static Comparator<SuggestWord>` | `DEFAULT_COMPARATOR`

Constructor Summary
`SuggestWordQueue(int size)` Use the `DEFAULT_COMPARATOR`
`SuggestWordQueue(int size, Comparator<SuggestWord> comparator)` Specify the size of the queue and the comparator to use for sorting.

Method Summary
`protected boolean` | `lessThan(SuggestWord wa, SuggestWord wb)` Determines the ordering of objects in this priority queue.

Methods inherited from class org.apache.lucene.util.PriorityQueue
`add, clear, getHeapArray, getSentinelObject, initialize, insertWithOverflow, pop, size, top, updateTop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COMPARATOR

    public static final Comparator<SuggestWord> DEFAULT_COMPARATOR

Constructor Detail

### SuggestWordQueue

    public SuggestWordQueue(int size)

  Use the `DEFAULT_COMPARATOR`

  Parameters:
    `size` - The size of the queue

### SuggestWordQueue

    public SuggestWordQueue(int size,
                            Comparator<SuggestWord> comparator)

  Specify the size of the queue and the comparator to use for sorting.

  Parameters:
    `size` - The size
    `comparator` - The comparator.

Method Detail

### lessThan

    protected final boolean lessThan(SuggestWord wa,
                                     SuggestWord wb)

  Description copied from class: `PriorityQueue`
  Determines the ordering of objects in this priority queue. Subclasses must define this one method.

  Specified by:
    `lessThan` in class `PriorityQueue<SuggestWord>`
  Returns:
    `true` iff parameter `a` is less than parameter `b`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD